API Reference
Add person information
/v1/business/person_info https://api.cable.tech Business endpoint for adding new person information
Authentication
- API key in the x-api-key header
Request body
Request body for adding information about persons
-
idstring requiredUnique external identifier of the person entity, ID stored in your database / back-office
Limits
min length 1 -
timestampstring requiredOriginal timestamp relating to this person entity creation/change
Format
date-time -
is_beneficial_ownerboolean requiredIf the person is a beneficial owner of the parent entity, this should be set to true
Default
falseExample
true -
is_directorboolean requiredIf the person is a director of the parent entity, this should be set to true
Default
false -
is_account_ownerboolean requiredIf the person is an account owner of the parent entity, this should be set to true
Default
falseExample
true -
is_shareholderboolean requiredIf the person is a shareholder of the parent entity, this should be set to true
Default
false -
is_significant_control_personbooleanIf the person is a has significant control of the parent entity, this should be set to true
Default
false -
is_test_userboolean requiredIf the person is a test user, this should be set to true
Default
false -
ownership_percentagenumberIf the person is a shareholder of the parent entity, this should be set to their ownership percentage, as a value between 0 and 1
Example
0.5 -
dataobject required-
namestringThe provided full name of the person
Example
Alex Nguyen -
first_namestringThe provided first name of the person
Example
Alex -
last_namestringThe provided last name of the person
Example
Nguyen -
emailstringContact email for the person
Example
[email protected] -
addressobjectLegal/contact address for the entity
-
lineslist of stringsLimits
min items 1Example
160 Kemp House, City Road -
citystringExample
London -
statestringExample
New York -
countystringExample
Buckinghamshire -
postal_codestringExample
EC1V 2NX -
countrystringExample
France
-
-
phone_numberstringContact telephone number for the person
Example
+441234567899 -
date_of_birthstringFormat
dateExample
1945-03-22 -
nationalitystring2 or 3 Character ISO 3166 Country Code (https://w.wiki/4rY)
Example
NPL -
occupationstringPrimary occupation of the individual
Example
Plumber -
first_transaction_completed_atstringOriginal timestamp of when the person completed their first transaction
Format
date-time -
national_identification_numberobject-
typestring requiredType of national identification number
-
valuestring requiredNational identification number
-
-
product_typestringLimits
min length 1 -
customobjectCustom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.
-
-
parentobject-
idstring requiredUnique external identifier of the parent entity, ID stored in your database / back-office
Limits
min length 1 -
typestring requiredType of the parent entity
Allowed values
company
-
Responses
200 Operation success
-
successboolean requiredYou probably did something wrong if you set this to false
Default
true
Errors
- default Operation error
-
codestring required -
messagestring required -
dataobject